import * as React from 'react';
export declare function highlightText(text: string, query: string): React.ReactNode[];
export declare function matchText(term: string, query: string): boolean;
export declare function wordList(arr: Array<any>, sep: string): any;
export declare function getHost(url: string): string;
export declare function isValidUrl(value: string): boolean;
